> ## Documentation Index
> Fetch the complete documentation index at: https://docs.claap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List deal stages

> List the deal stages of the CRM connected to the workspace (only Hubspot is supported), with the pipeline each stage belongs to.

Lists the deal stages of the CRM connected to the workspace (only Hubspot is supported), with the pipeline each stage belongs to. Use it to discover the valid `stageId` values accepted by the [update deal](/api-reference/endpoint/patch_deal) endpoint, or to resolve the labels of the `stageId` and `pipelineId` returned by a deal.


## OpenAPI

````yaml GET /v1/deals/stages
openapi: 3.1.0
info:
  title: Claap API
  description: Development documentation
  version: 0.0.0
servers:
  - url: https://api.claap.io/
security:
  - ApiKey: []
paths:
  /v1/deals/stages:
    get:
      description: >-
        List the deal stages of the CRM connected to the workspace (only Hubspot
        is supported), with the pipeline each stage belongs to.
      operationId: getV1DealsStages
      responses:
        '200':
          description: Deal stages were successfully retrieved
          content:
            application/json:
              schema:
                type: object
                properties:
                  result:
                    type: object
                    properties:
                      stages:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                              description: >-
                                The stage id in the CRM. This is the id accepted
                                as `stageId` by the update deal endpoint.
                            label:
                              type: string
                              description: The stage label in the CRM.
                            pipelineId:
                              type: string
                              description: The id of the pipeline the stage belongs to.
                            pipelineLabel:
                              type: string
                              description: The label of the pipeline the stage belongs to.
                          required:
                            - id
                            - label
                    required:
                      - stages
                required:
                  - result
        '400':
          description: >-
            The workspace has no connected CRM, or the connected CRM is not
            supported (only Hubspot is supported).
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-Claap-Key

````